Bug 1306723 - [RFE] add multiple content views to a CCV which contain the same repository [NEEDINFO]
Summary: [RFE] add multiple content views to a CCV which contain the same repository
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.1.6
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Evgeni Golov
URL:
Whiteboard:
: 1122696 1318373 (view as bug list)
Depends On:
Blocks: 1316897
TreeView+ depends on / blocked
 
Reported: 2016-02-11 16:28 UTC by Stuart Auchterlonie
Modified: 2019-08-12 14:37 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:28:54 UTC
bbuckingham: needinfo? (suarora)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0336 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC
Foreman Issue Tracker 6757 None None None 2016-08-24 21:36:54 UTC

Description Stuart Auchterlonie 2016-02-11 16:28:19 UTC
Description of problem:

User Story: The customer's security team want only the packages
which are essential to the operation of the system, to be installed
on the system, and no other packages to be available for installation
via yum.

To meet the criteria of the security team, multiple CV's are created.
"Infrastructure" is used as an example

1) Base OS CV - contains only the bare minimum packages & puppet modules for the system deployment. This is achieved by including the RHEL channel and applying
filters so that only the essential packages are included.

2) Infrastructure CV - contains the additional packages and puppet modules to 
support the key application / infrastructure components. This is acheived by
including the RHEL channel and applying filters so that only the *extra* package
are available in this CV.

The packages sets produced by CV1 and CV2 do no overlap.

The problem occurs when you try to combine CV1 and CV2 into a CCV.

You will get an error

"
An error occurred updating the Content View: Repository conflict: 'Red Hat Enterprise Linux 7 Server - Extended Update Support - RH Common RPMs x86_64 7.2' is in RHEL7.2 2.0, Infra 1.0.,Repository conflict: 'Red Hat Enterprise Linux 7 Server - Extended Update Support RPMs x86_64 7.2' is in RHEL7.2 2.0, Infra 1.0.,Repository conflict: 'Red Hat Satellite Tools 6.1 for RHEL 7 Server - EUS RPMs x86_64 7.2' is in RHEL7.2 2.0, Infra 1.0.
"

Version-Release number of selected component (if applicable):

Satellite 6.1.6

How reproducible:

100%

Steps to Reproduce:
1. Create CV's as described above
2. Attempt to create CCV from those CV's
3.

Actual results:

Error above

Expected results:

As the package sets do no overlap, the CCV should produce a combined view
with all the packages & puppet modules.

Even if the package sets did overlap, as they are the same underlying
repository, the package set could be de-duped when generating the CCV.

Additional info:

Comment 6 Bryan Kearney 2016-07-08 20:37:56 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 9 Brad Buckingham 2016-08-24 21:38:29 UTC
*** Bug 1122696 has been marked as a duplicate of this bug. ***

Comment 10 Brad Buckingham 2016-08-25 18:25:00 UTC
*** Bug 1318373 has been marked as a duplicate of this bug. ***

Comment 11 Brad Buckingham 2016-09-22 13:42:52 UTC
Upstream Katello PR: https://github.com/Katello/katello/pull/6339

Comment 12 Evgeni Golov 2017-08-16 07:56:06 UTC
VERIFIED

Version Tested:
Satellite 6.3 Snap 11

I created two CVs with both containing
 - Red Hat Satellite Tools 6.2 for RHEL 6 Server RPMs i386
 - Red Hat Satellite Tools 6.2 for RHEL 6 Server RPMs x86_64
I created an exclude filter for CV1 with
 - name: *, arch: x86_64, version: all
I created an exclude filter for CV2 with
 - name: *, arch: i686, version: all
I created a CCV with
 - CV1
 - CV2

(silly example, I know, but it should work :))

after publishing the CCV, I encounter no problems and the CCV contains all packages

Comment 15 errata-xmlrpc 2018-02-21 12:33:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 17 pm-sat@redhat.com 2018-10-14 12:07:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/6757 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.